import Vue from 'vue'
import App from './App'
import * as http from './common/http'
import config from './config.js'
import * as utils from './common/utils'
import store from './store'
import storage from 'common/storage'
import moment from 'moment'
import uView from "uview-ui";
Vue.use(uView);

Vue.config.productionTip = false
Vue.prototype.$config = config
Vue.prototype.$utils=utils
Vue.prototype.$http = http
Vue.prototype.$store = store
Vue.prototype.$storage = storage
Vue.prototype.$moment = moment
Vue.prototype.$bus = new Vue()
Vue.filter('myToolTip',function(val){
	if(!val){
		return '-'
	}else{return val.substring(0,4)+'****'+val.substring(val.length-4)}
});

App.mpType = 'app'
const app = new Vue({
    ...App,
})
app.$mount()
